#!/bin/bash
# script creates home directories for users in rgroup if those do not exist
# and sets acl to allow monitoring user disk usage check

set -e

rgroup="g_linuxusers"
home="/homes/"
umask=0077
skel="/etc/skel"
monitoringuser="monitoring"

if [ ! -d $home ]
  then
    mkdir $home
fi

rusers="$(getent group $rgroup | awk -F '[/:]' '{print $4}')"
IFS=',' read -a ruserar <<< "$rusers"
for ruser in "${ruserar[@]}"
  do
    if [ ! -d $home$ruser ]
      then
        mkhomedir_helper $ruser $umask $skel
        setfacl  -m u:${monitoringuser}:rx $home$ruser
    fi
done
